#!/bin/sh
#
# source: http://ftp.gnome.org/pub/gnome/sources/gtk-engines/2.20/gtk-engines-2.20.2.tar.bz2
#
# maintainer: (package seek a maintainer)
#

CWD=`pwd`
TMP=/tmp
PKG=$TMP/package-gtk-engines

VERSION=2.20.2
ARCH=i486
BUILD=66.1

SLKCFLAGS="-O2 -march=i486 -mtune=i686"

rm -rf $PKG
mkdir -p $PKG
cd $TMP
rm -rf gtk-engines-$VERSION
tar -xjvf $CWD/gtk-engines-$VERSION.tar.bz2
cd gtk-engines-$VERSION
chown -R root:root .
find . \
 \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
 -exec chmod 755 {} \; -o \
 \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
 -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS"
./configure \
   --prefix=/usr \
   --sysconfdir=/etc \
   --localstatedir=/var \
   --disable-static \
   --enable-animation

make
make install DESTDIR=$PKG

find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null

mkdir -p $PKG/usr/doc/gtk-engines-$VERSION
cp -a \
  AUTHORS ChangeLog COPYING INSTALL NEWS README \
  $PKG/usr/doc/gtk-engines-$VERSION

mkdir -p $PKG/install
cat <<"EOF" > $PKG/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

           |-----handy-ruler------------------------------------------------------|
gtk-engines: gtk-engines - gtk+2 engines and default themes
gtk-engines:
gtk-engines: GTK-Themes compiled against GTK+-2.10. This package will
gtk-engines: later be merged in the appropriate gnome package and is used
gtk-engines: for testing only.
gtk-engines:
gtk-engines:
gtk-engines:
gtk-engines:
gtk-engines:
gtk-engines:
gtk-engines:
EOF

mkdir -p $PKG/usr/src/gtk-engines-$VERSION
cp $CWD/build-gtk-engines.sh $PKG/usr/src/gtk-engines-$VERSION/

cd $PKG
makepkg -l y -c n ../gtk-engines-$VERSION-$ARCH-$BUILD.txz
cd ..
md5sum gtk-engines-$VERSION-$ARCH-$BUILD.txz > gtk-engines-$VERSION-$ARCH-$BUILD.md5
